Summary: Middleware for using Latvia-eid smart cards
Name: latvia-eid-middleware
Version: 2.2.9
Release: 1%{?dist}
URL: https://www.pmlp.gov.lv/lv/datora-sagatavosana-darbam-ar-eid-karti
License: LGPLv2+
Source0: %{name}-%{version}.tar.bz2
Group: Applications/System
BuildRequires: bzip2
Requires: openssl
Requires: pcsc-lite
Requires: pcsc-lite-libs
Requires: zlib
Requires: libSM
Requires: libX11
Requires: libXxf86vm
Requires: cairo
Requires: freetype
Requires: fontconfig
Requires: mesa-libGLU

%description
This package also contains the PinTool (otlv-pintool) that is used to read the content of the card and change its PIN value.

%prep

%build

%install
mkdir -p %{buildroot}/opt
mkdir -p %{buildroot}/usr/lib/pkcs11
pushd %{buildroot}
tar xvf %{SOURCE0}
popd

%clean

%post
ln -sf /opt/latvia-eid/lib/eidlv-pkcs11.so /usr/lib64/.
ln -sf /opt/latvia-eid/lib/eidlv-pkcs11.so /usr/lib64/otlv-pkcs11.so
ln -sf /opt/latvia-eid/bin/eidlv-pintool /usr/bin/.
ln -sf /opt/latvia-eid/bin/opensc-asn1 /usr/bin/eidlv-opensc-asn1
ln -sf /opt/latvia-eid/bin/opensc-explorer /usr/bin/eidlv-opensc-explorer
ln -sf /opt/latvia-eid/bin/opensc-tool /usr/bin/eidlv-opensc-tool
ln -sf /opt/latvia-eid/bin/pkcs11-tool /usr/bin/eidlv-pkcs11-tool
ln -sf /opt/latvia-eid/bin/pkcs15-crypt /usr/bin/eidlv-pkcs15-crypt
ln -sf /opt/latvia-eid/bin/pkcs15-tool /usr/bin/eidlv-pkcs15-tool

mkdir -p /usr/lib/pkcs11
ln -sf /opt/latvia-eid/lib/eidlv-pkcs11.so /usr/lib/pkcs11/.

mkdir -p /usr/lib64/pkcs11
ln -sf ../eidlv-pkcs11.so /usr/lib64/pkcs11/.
ln -sf ../otlv-pkcs11.so /usr/lib64/pkcs11/.
ln -sf /opt/latvia-eid/share/doc/Latvia-eID-Middleware/otlv-pintool.xpm /usr/share/pixmaps/.
ln -sf /opt/latvia-eid/share/doc/Latvia-eID-Middleware/otlv-pintool.desktop /usr/share/applications/.

mkdir -p /etc/xdg/autostart
ln -sf /opt/latvia-eid/etc/xdg/autostart/org.latviaeid.eidlvuiserver.desktop /etc/xdg/autostart/.

/sbin/ldconfig /opt/latvia-eid/lib
/sbin/ldconfig /usr/lib64/pkcs11
/sbin/ldconfig

%postun
rm -f /usr/lib64/eidlv-pkcs11.so
rm -f /usr/lib64/otlv-pkcs11.so
rm -f /usr/lib/pkcs11/eidlv-pkcs11.so
rm -f /usr/lib64/pkcs11/eidlv-pkcs11.so
rm -f /usr/lib64/pkcs11/otlv-pkcs11.so
rm -f /usr/bin/eidlv-pintool
rm -f /usr/bin/eidlv-opensc-asn1
rm -f /usr/bin/eidlv-opensc-explorer
rm -f /usr/bin/eidlv-opensc-tool
rm -f /usr/bin/eidlv-pkcs11-tool
rm -f /usr/bin/eidlv-pkcs15-crypt
rm -f /usr/bin/eidlv-pkcs15-tool
rm -fr /opt/latvia-eid
rm -f /usr/share/pixmaps/otlv-pintool.xpm
rm -f /usr/share/applications/otlv-pintool.desktop
rm -f /etc/xdg/autostart/org.latviaeid.eidlvuiserver.desktop

/sbin/ldconfig
  
%files
%defattr(-,root,root)
%doc
/opt/latvia-eid/bin/*
/opt/latvia-eid/etc/*
/opt/latvia-eid/lib/*
/opt/latvia-eid/share/*
